Package twisted :: Package protocols :: Module toc

[show private | hide private]
[frames | no frames]

## Module twisted.protocols.toc

Implements a AOL Instant Messenger TOC server and client, using the Twisted framework.

TODO: info,dir: see how gaim connects for this...it may never work if it tries to connect to the aim server automatically

This module is stable, but deprecated.

Maintainer: Paul Swartz<mailto:z3p@twistedmatrix.com>

Classes
`Chatroom` |
`GetFileTransfer` |
`SavedUser` |
`SendFileTransfer` |
`TOC` |
`TOCClient` |
`TOCFactory` |

Exceptions
`TOCParseError` |

Function Summary
| `checksum(b)`
| `checksum_file(f)`
| `normalize(s)`
| `quote(s)`
| `roast(pw)`
| `unquote(s)`
| `unquotebeg(s)`
| `unroast(pw)`

Variable Summary
`int` | `BAD_ACCOUNT`
`int` | `BAD_COUNTRY`
`int` | `BAD_INPUT`
`int` | `BAD_LANGUAGE`
`int` | `BAD_NICKNAME`
`int` | `CANT_WARN`
`int` | `CONNECTING_TOO_QUICK`
`int` | `DATA`
`int` | `DENYALL`
`int` | `DENYSOME`
`int` | `DIR_FAIL_UNKNOWN`
`int` | `DIR_FAILURE`
`int` | `DIR_UNAVAILABLE`
`int` | `ERROR`
`string` | `GET_FILE_UID`
`int` | `KEEP_ALIVE`
`int` | `KEYWORD_IGNORED`
`dictionary` | `MAXARGS`
`int` | `MESSAGES_TOO_FAST`
`int` | `MISSED_BIG_IM`
`int` | `MISSED_FAST_IM`
`int` | `NEED_MORE_QUALIFIERS`
`int` | `NO_CHAT_IN`
`int` | `NO_EMAIL_LOOKUP`
`int` | `NO_KEYWORDS`
`int` | `NOT_AVAILABLE`
`int` | `PERMITALL`
`int` | `PERMITSOME`
`SelectReactor` | `reactor`
`int` | `REQUEST_ERROR`
`string` | `SEND_FILE_UID`
`int` | `SEND_TOO_FAST`
`int` | `SERVICE_TEMP_UNAVAILABLE`
`int` | `SERVICE_UNAVAILABLE`
`int` | `SIGNOFF`
`int` | `SIGNON`
`dictionary` | `STD_MESSAGE`
`int` | `TOO_MANY_MATCHES`
`int` | `UNKNOWN_SIGNON`
`dictionary` | `UUIDS`
`int` | `WARNING_TOO_HIGH`

Variable Details

### BAD_ACCOUNT

  Type:
    `int`
  Value:

        912

### BAD_COUNTRY

  Type:
    `int`
  Value:

        978

### BAD_INPUT

  Type:
    `int`
  Value:

        911

### BAD_LANGUAGE

  Type:
    `int`
  Value:

        977

### BAD_NICKNAME

  Type:
    `int`
  Value:

        980

### CANT_WARN

  Type:
    `int`
  Value:

        902

### CONNECTING_TOO_QUICK

  Type:
    `int`
  Value:

        983

### DATA

  Type:
    `int`
  Value:

        2

### DENYALL

  Type:
    `int`
  Value:

        2

### DENYSOME

  Type:
    `int`
  Value:

        4

### DIR_FAIL_UNKNOWN

  Type:
    `int`
  Value:

        979

### DIR_FAILURE

  Type:
    `int`
  Value:

        970

### DIR_UNAVAILABLE

  Type:
    `int`
  Value:

        973

### ERROR

  Type:
    `int`
  Value:

        3

### GET_FILE_UID

  Type:
    `string`
  Value:

        '09461348-4C7F-11D1-8222-444553540000'

### KEEP_ALIVE

  Type:
    `int`
  Value:

        5

### KEYWORD_IGNORED

  Type:
    `int`
  Value:

        975

### MAXARGS

  Type:
    `dictionary`
  Value:

        {'ADMIN_NICK_STATUS': 0,
         'ADMIN_PASSWD_STATUS': 0,
         'CHAT_IN': 3,
         'CHAT_INVITE': 3,
         'CHAT_JOIN': 1,
         'CHAT_LEFT': 0,
         'CHAT_UPDATE_BUDDY': -1,
         'CONFIG': 0,
        ...

### MESSAGES_TOO_FAST

  Type:
    `int`
  Value:

        903

### MISSED_BIG_IM

  Type:
    `int`
  Value:

        961

### MISSED_FAST_IM

  Type:
    `int`
  Value:

        962

### NEED_MORE_QUALIFIERS

  Type:
    `int`
  Value:

        972

### NO_CHAT_IN

  Type:
    `int`
  Value:

        950

### NO_EMAIL_LOOKUP

  Type:
    `int`
  Value:

        974

### NO_KEYWORDS

  Type:
    `int`
  Value:

        976

### NOT_AVAILABLE

  Type:
    `int`
  Value:

        901

### PERMITALL

  Type:
    `int`
  Value:

        1

### PERMITSOME

  Type:
    `int`
  Value:

        3

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x834759c>

### REQUEST_ERROR

  Type:
    `int`
  Value:

        913

### SEND_FILE_UID

  Type:
    `string`
  Value:

        '09461343-4C7F-11D1-8222-444553540000'

### SEND_TOO_FAST

  Type:
    `int`
  Value:

        960

### SERVICE_TEMP_UNAVAILABLE

  Type:
    `int`
  Value:

        981

### SERVICE_UNAVAILABLE

  Type:
    `int`
  Value:

        914

### SIGNOFF

  Type:
    `int`
  Value:

        4

### SIGNON

  Type:
    `int`
  Value:

        1

### STD_MESSAGE

  Type:
    `dictionary`
  Value:

        {901: '%s not currently available',
         902: 'Warning of %s not currently available',
         903: 'A message has been dropped, you are exceeding the server speed \
        limit',
         911: 'Error validating input',
         912: 'Invalid account',
         913: 'Error encountered while processing request',
         914: 'Service unavailable',
        ...

### TOO_MANY_MATCHES

  Type:
    `int`
  Value:

        971

### UNKNOWN_SIGNON

  Type:
    `int`
  Value:

        989

### UUIDS

  Type:
    `dictionary`
  Value:

        {'09461343-4C7F-11D1-8222-444553540000': 'SEND_FILE',
         '09461348-4C7F-11D1-8222-444553540000': 'GET_FILE'}

### WARNING_TOO_HIGH

  Type:
    `int`
  Value:

        982

Generated by Epydoc 1.1 on Sat Feb 15 21:19:15 2003 | http://epydoc.sf.net